请选择 进入手机版 | 继续访问电脑版

kangle软件 是一款高性能跨平台web服务器

 找回密码
 注册
kangle web软件将启用新域名 kangleweb.com 作为kangle软件官方网站网址
kangle web服务器最新版下载
kangle访问控制模块介绍 -  kangle设置优化原则
kangle中文帮助手册 -产品购买
easypanel 虚拟主机控制面板最新版
easypanel虚拟主机控制面板功能列表
easypanel中文帮助手册 - 讨论
   kangle虚拟主机管理下载 - 安装 - 帮助手册
    
   销售: 在线客服QQ   技术支持: 在线客服QQ
    kangle web (介绍, 功能特性, 运行环境, 安装说明, 常见问题, 使用教程)     easypanel主机控制面板 (介绍, 功能特性, 安装说明, 常见问题, 使用教程)
    vhms系统 (介绍, 安装说明, 常见问题, 使用教程)     [kangle软件交流QQ群:104434948]
查看: 26531|回复: 12

热点lkmp1.0.9一键安装包提供下载 (k3.2.1 .1/P5.5.1 M5.6.12)

  [复制链接]
发表于 2013-6-21 22:32:58 | 显示全部楼层 |阅读模式
本帖最后由 买醉 于 2013-7-30 22:51 编辑

lkmp是linux kangle mysql php的缩写,kangle为国产高性能的web 服务器(反向*代*理*服*务*器*)软件,详细介绍见:http://www.kanglesoft.com/thread-7835-1-1.html

热点lkmp支持在那些系统上安装?
支持32位centos 5.x/6.x系列,不支持64位centos

==========================1.0.9说明==========================
简易说明:

只包含kangle 3.2.1.1 php 5.5.1 mysql 5.6.12 phpmyadmin和第3方扩展的
图像扩展 ImageMagick6.7.9-7
缓存扩展 memcache-3.0.8 memcached-1.4.15
加速扩展 Zend OPcache v7.0.2
不带Ep面板

热点lkmp 1.0.9包含哪些组件?

包含
mysql 5.6.12
kangle 3.2.1.1
php5.5.1
libiconv-1.14
libmcrypt-2.5.8
mhash-0.9.9.9
mcrypt-2.6.8
cmake-2.8.11.1
bison-2.7
pcre-8.33
libevent-2.0.12
memcached-1.4.15
memcache-3.0.8
PDO_MYSQL-1.0.2
ImageMagick-6.7.9-7
imagick-3.1.0RC2
m4-1.4.16

安装时需要设置mysql密码

附带建立站点的半自动脚本,/root/hot-lkmp-vhost.sh

针对centos系统做了适当的优化,比默认系统执行效率要高些


安装方法:
  1. yum -y install wget
  2. wget -c http://down.7qy.com/%c8%c8%b5%e3lkmp%d2%bb%bc%fc%b0%b2%d7%b0%b0%fc/hot-lkmp1.0.9-install
  3. chmod +x hot-lkmp1.0.9-install
  4. ./hot-lkmp1.0.9-install
复制代码
2013-07-29_185126.jpg

环境演示:
http://115.47.39.28/php/index.php

=============================1.0.8说明============================

热点lkmp一键安装包1.0.8有哪些特点
1.支持自定义 mysql kangle php版,支持目前最新的mysql5.5.32 / kangle 3.2.1 / php 5.4.16(php 5.2.17p1)。理论上支持以上3个软件的后续版本,安装的时候输入已有上诉软件版本号就能安装,比如过段时间kangle发布了3.2.1版,你安装本软件的时候只要输入3.2.1就可以安装kangle的最新版了

2.为了兼容性,安装php的时候用户可以自行选择安装php 5.2.17或者5.4.x系列,让用户选择更灵活

3.自动删除系统自带的apache mysql php

4.修改系统时间为北京时间

热点lkmp包含哪些组件?

包含
mysql 5.5.x (用户安装的时候填写的版本) 默认安装5.5.32最新版
kangle (用户安装的时候填写的版本) 默认安装3.2.1最新版
php (5.2.17或者5.4.x系列,选择安装5.4.x系列为用户安装的时候填写的版本,默认安装5.4.16最新版)
libiconv-1.14
libmcrypt-2.5.8
mhash-0.9.9.9
mcrypt-2.6.8
cmake-2.8.11.1
bison-2.7
pcre-8.33
php-5.2.17p1(包含第3方扩展 Zend Optimizer 3.3.9 / ionCube 4.2.2 / eAccelerato 1.0最新版 / 大名鼎鼎的php安全引擎 suhosin 0.9.31)
php-5.4.x(包含第3方扩展 ionCube 4.2.2 / eAccelerato 1.0最新版 )
libevent-2.0.12
memcached-1.4.15
memcache-3.0.8
PDO_MYSQL-1.0.2
ImageMagick-6.7.9-7
imagick-3.1.0RC2
suhosin-0.9.31
ionCube 4.2.2
Zend Optimizer 3.3.9
eAccelerato 1.0

安装
1.下载
本站下载(不支持wget):http://down.7qy.com/%c8%c8%b5%e3 ... c/lkmp-1.0.8.tar.gz

百度网盘下载:http://pan.baidu.com/share/link? ... 4&uk=2887953595

2.上传

使用WinSCP等工具吧lkmp-1.0.8.tar.gz文件上传到/tmp目录下,注意别传错目录了

3.安装

登陆终端,或者使用Xshell / putty 等工具登陆系统后执行以下命令进行安装:

cd /tmp
tar xvf lkmp-1.0.8.tar.gz
cd lkmp-1.0.8
sh hot-lkmp1.0.8-install.sh

安装过程见下图:

1.见下图后回车确认进行安装


2.见下图后输入kangle版本号进入安装(默认3.2.1)



3.见下图后输入mysql版本号,和mysql的root账户密码后进入安装(不支持5.1和5.6等系列)



4.见下图需要选择你安装的php版本,输入1并回车安装php 5.2.17,输入2并回车安装php 5.4.x系列(不支持5.3和5.5系列)





全部安装完成后会自动重新启动系统

关于自定义kangle php mysql 版本

在执行完

cd /tmp
tar xvf lkmp-1.0.8.tar.gz
cd lkmp-1.0.8

后暂时不执行sh hot-lkmp1.0.8-install.sh,把你下载的相应kangle mysql php原代码文件上传到/tmp/lkmp-1.0.8目录路下,注意后缀全部为.tar.gz,然后执行sh hot-lkmp1.0.8-install.sh,安装到相应步骤时候,输入相应程序的版本号进行安装,注意只能自定义kangle mysql(只支持5.5.x系列) php(只支持5.4.x系列)

  =========================================================================

热点lkmp目录结构
/wwwroot/htdocs ——-站点根目录
/wwwroot/htdocs/www —默认站点目录,也就是ip能直接访问那个站点
/wwwroot/htdocs/www/phpmyadmin为phpmyadmin目录,访问形式http://ip/phpmyadmin
/wwwroot/logs —日志目录
/wwwroot/mysql — 站点数据库根目录

/usr/local/webserver —-主要程序目录 mysql php kangle都在这个目录下
/usr/local/webserver/kangle/ –kangle程序目录

kangle web管理:http://ip:3311 默认账号:admin 默认密码:kangle
1.jpg

因为目前vps盛行,都是些精简了很多包的系统,因为时间精力有限制,无法保证在所有centos系统上正常安装,如有安装问题,请到纯白色博客:http://blog.7qy.com反馈
回复

使用道具 举报

发表于 2013-6-22 08:17:27 | 显示全部楼层
本帖最后由 kangle_小魏 于 2013-6-22 08:34 编辑

{:soso_e128:}支持一个!

回复 支持 反对

使用道具 举报

发表于 2013-6-22 08:36:53 | 显示全部楼层
买醉大哥,早上好

回复 支持 反对

使用道具 举报

发表于 2013-6-22 09:15:24 | 显示全部楼层
嗯 这个不错 非常好 有没有windows下的呢……
回复 支持 反对

使用道具 举报

发表于 2013-6-22 14:51:22 | 显示全部楼层
1.png
回复 支持 反对

使用道具 举报

发表于 2013-6-22 14:54:17 | 显示全部楼层
5.4了真好。。。
回复 支持 反对

使用道具 举报

发表于 2013-6-22 14:56:16 | 显示全部楼层
卧槽==!不支持64位
回复 支持 反对

使用道具 举报

发表于 2013-6-22 15:02:02 | 显示全部楼层
还带广告。。。
回复 支持 反对

使用道具 举报

发表于 2013-6-22 18:13:59 | 显示全部楼层
表示不解..这和在CentOS下运行 ep.sh安装 有神马不同..?

貌似只看出默认路径不同..? 而且不带EasyPanel?
回复 支持 反对

使用道具 举报

发表于 2013-7-1 09:18:05 | 显示全部楼层
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|Archiver|Bangteng Inc. ( 赣ICP备13005708号-5

GMT+8, 2017-12-13 11:35 , Processed in 0.063170 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表